/*
 * File:	expr.h
 * Purpose:	
 * Author:	Julian Smart
 * Created:	1993
 * Updated:	
 * Copyright:	(c) 1993
 */

/* sccsid[] = "%W% %G%" */

#ifndef __EXPRH__
#define __EXPRH__

#include <math.h>
#include <stdlib.h>

/* Rename all YACC/LEX stuff or we'll conflict with other
 * applications
 */

#define yyback CExpr_yyback
#define yylook CExpr_yylook
#define yywrap CExpr_yywrap
#define yyoutput CExpr_yyoutput
#define yylex CExpr_yylex
#define yyerror CExpr_yyerror
#define input CExpr_input
#define unput CExpr_unput

#define yyleng CExpr_yyleng
#define yytext CExpr_yytext
#define yymorfg CExpr_yymorfg
#define yylineno CExpr_yylineno
#define yytchar CExpr_yytchar
#define yyin CExpr_yyin
#define yyout CExpr_yyout
#define yysvf CExpr_yysvf
#define yyestate CExpr_yyestate
#define yysvec CExpr_yysvec
#define yybgin CExpr_yybgin
#define yyprevious CExpr_yyprevious
#define yylhs CExpr_yylhs
#define yylen CExpr_yylen
#define yydefred CExpr_yydefred
#define yydgoto CExpr_yydgoto
#define yysindex CExpr_yysindex
#define yyrindex CExpr_yyrindex
#define yygindex CExpr_yygindex
#define yytable CExpr_yytable
#define yycheck CExpr_yycheck
#define yyname CExpr_yyname
#define yyrule CExpr_yyrule
#define yydebug CExpr_yydebug
#define yynerrs CExpr_yynerrs
#define yyerrflag CExpr_yyerrflag
#define yychar CExpr_yychar
#define yyvsp CExpr_yyvsp
#define yyssp CExpr_yyssp
#define yyval CExpr_yyval
#define yylval CExpr_yylval
#define yyss CExpr_yyss
#define yyvs CExpr_yyvs
#define yyparse CExpr_yyparse

/* +++steve162e: more defines necessary */
#define yy_init_buffer CExpr_yy_init_buffer
#define yy_create_buffer CExpr_yy_create_buffer
#define yy_load_buffer_state CExpr_yy_load_buffer_state
#define yyrestart CExpr_yyrestart
#define yy_switch_to_buffer CExpr_yy_switch_to_buffer
#define yy_delete_buffer CExpr_yy_delete_buffer
/* ---steve162e */

/* WG 1/96: still more for flex 2.5 */
#define yy_scan_buffer CExpr_scan_buffer
#define yy_scan_string CExpr_scan_string
#define yy_scan_bytes CExpr_scan_bytes
#define yy_flex_debug CExpr_flex_debug
#define yy_flush_buffer CExpr_flush_buffer
#define yyleng CExpr_yyleng
#define yytext CExpr_yytext

#ifdef __cplusplus
extern "C" {
char *cexpr_cons(char *, char *);
char * make_integer(char *);
char * make_word(char *);
char * make_string(char *);
char * make_real(char *, char *);
char * make_exp(char *, char *);
char * make_exp2(char *, char *, char*);
void add_expr(char *);
void process_command(char *);
void syntax_error(char *);
}
#else
#if __BORLANDC__
char *cexpr_cons(char *, char *);
char * make_integer(char *);
char * make_word(char *);
char * make_string(char *);
char * make_real(char *, char *);
char * make_exp(char *, char *);
char * make_exp2(char *, char *, char*);
void add_expr(char *);
void process_command(char *);
void syntax_error(char *);
#else
char *cexpr_cons();
char * make_integer();
char * make_word();
char * make_string();
char * make_real();
char * make_exp();
char * make_exp2();

void add_expr();
void process_command();
void syntax_error();
#endif
#endif

#endif
